from django.contrib.gis.db import models


class Flyover(models.Model):
  point = models.PointField()
  name = models.CharField(max_length=255)
  txt = models.TextField(blank=True, null=True)
  objects = models.GeoManager()

  def __unicode__(self):
    return self.name

class Image(models.Model):
  url = models.URLField("FlickR URL")
  caption = models.CharField(max_length=255, blank=True, null=True)
  category = models.ForeignKey("ImageCategory")
  flyover = models.ForeignKey(Flyover)

  def __unicode__(self):
    return self.url + " - " + self.caption + " - " + self.category.name

class ImageCategory(models.Model):
  name = models.CharField(max_length=255)
  description = models.TextField(blank=True, null=True)

  def __unicode__(self):
    return self.name

class Video(models.Model):
  url = models.URLField("Youtube URL")
  caption = models.CharField(max_length=255, blank=True, null=True)
  category = models.ForeignKey("VideoCategory")
  flyover = models.ForeignKey(Flyover)

  def __unicode__(self):
    return self.url + " - " + self.caption + " - " + self.category.name

class VideoCategory(models.Model):
  name = models.CharField(max_length=255)
  description = models.TextField(blank=True, null=True)

  def __unicode__(self):
    return self.name

class Audio(models.Model):
  url = models.URLField("Audio URL")
  caption = models.CharField(max_length=255, blank=True, null=True)
  category = models.ForeignKey("AudioCategory")
  flyover = models.ForeignKey(Flyover)

  def __unicode__(self):
    return self.url + " - " + self.caption + " - " + self.category.name

class AudioCategory(models.Model):
  name = models.CharField(max_length=255)
  description = models.TextField(blank=True, null=True)

  def __unicode__(self):
    return self.name

class Text(models.Model):
#  url = models.URLField("FlickR URL")
  text = models.TextField(max_length=255)
  category = models.ForeignKey("TextCategory")
  flyover = models.ForeignKey(Flyover)

  def __unicode__(self):
    return self.text + " - " + self.category.name

class TextCategory(models.Model):
  name = models.CharField(max_length=255)
  description = models.TextField(blank=True, null=True)

  def __unicode__(self):
    return self.name

# Create your models here.
